Tryton - Issues

 

Issue6369

Title Error description is shown on dialog title
Priority bug Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type behavior Components sao
Assigned To pokoli Keywords review
Reviews 30161002
View: 30161002

Created on 2017-03-16.16:42:17 by pokoli, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
error_no_description_no_patch.png pokoli, 2017-03-22.09:42:32 image/png
error_no_description_patch.png pokoli, 2017-03-22.09:42:19 image/png
error_with_description_nopatch.png pokoli, 2017-03-22.09:42:41 image/png
error_with_description_patch.png pokoli, 2017-03-22.09:42:47 image/png
user_error_no_description.png pokoli, 2017-03-22.10:13:19 image/png
user_error_with_description.png pokoli, 2017-03-22.10:13:03 image/png
Messages
New changeset 4c093d38d226 by Sergi Almacellas Abellana in branch 'default':
Don't show warning dialog message as dialog title
http://hg.tryton.org/sao/rev/4c093d38d226
review30161002 updated at https://codereview.tryton.org/30161002/#ps40001
msg32659 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-03-22.10:13:03
> For me current behaviour is good.

But when fixing the UserError with description issue the following problem raises:

- If the error does not contain a title, the warning classes are not applied to it. See (user_error_no_description.png)

I also attach an screenshot (user_error_with_description.png), which shows the user error with a description and without applying the additional improvements.

Sincerely I prefer the versions with the patch as they always show the text with warning classes and provide a more uniform user experience.
msg32655 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-03-22.09:56:24
For me current behaviour is good.
msg32653 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-03-22.09:42:19
The error is basically the following: 

1. When a UserError with description is raised on the server, the description is shown on the dialog title with a bigger font than the error message providing a strange behaviour. 

In addition to fix this error, the following improvements are done: 

1. Also show the title as dialog header and apply the warning sign to it. 
2. If a description is provided, show in the dialog body (with warning css). If no description is provided don't show the warning dialog. 

I attached several screenshoots showing the additional improvements
msg32640 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-03-21.23:22:49
I do not understand at all what is this issue trying to fix/change.
review30161002 updated at https://codereview.tryton.org/30161002/#ps20001
msg32625 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-03-21.14:15:09
I updated the review for using the dialog title and show the description on the dialog body.
msg32583 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-03-17.13:23:15
I do not understand why not use the dialog title if we have one?
review30161002 updated at https://codereview.tryton.org/30161002/#ps1
msg32545 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-03-16.16:42:17
When raising an UserError with an additional description, the description is show as the dialog title, but it should be shown after the error, as done in tryton.
History
Date User Action Args
2017-04-27 10:29:48roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg33455
2017-04-26 14:00:36reviewbotsetmessages: + msg33419
2017-03-22 10:13:19pokolisetfiles: + user_error_no_description.png
2017-03-22 10:13:04pokolisetfiles: + user_error_with_description.png
messages: + msg32659
2017-03-22 09:56:24cedsetmessages: + msg32655
2017-03-22 09:42:47pokolisetfiles: + error_with_description_patch.png
2017-03-22 09:42:41pokolisetfiles: + error_with_description_nopatch.png
2017-03-22 09:42:32pokolisetfiles: + error_no_description_no_patch.png
2017-03-22 09:42:20pokolisetfiles: + error_no_description_patch.png
messages: + msg32653
2017-03-21 23:22:49cedsetmessages: + msg32640

Showing 10 items. Show all history (warning: this could be VERY long)